Subject: RE: [Enum] RE: draft-loughney-enum-roaming-00.txt

From: James Yu <[email-masked]>
Date: Wed, 29 Nov 2000 12:26:36 -0600

Valerie,

enum is for E.164 number so E.212 (IMSI) or E.214 (mobile global title)
needs to use something else such as e212.arpa or e214.arpa.  The reason
E.214 is used today in the GSM has reasons due to SS7 message routing across
national boundaries.  IMHO, we probably only need e212.arpa.

One thing good about IMSI is that it is not portable (e.g., there is a
mobile network code that belongs to the cellular carrier) and the cellular
carriers are the ones that control those numbers (e.g., they can be the T2E
for their own IMSIs).  So there is no need to populate individual IMSIs at
the T1E.  A block of IMSIs will do the job.  For example, the T1E can point
to a T2E based on the first six digits of the IMSI.  The T2E returns the
NAPTR RRs for the associated IMSI.

The draft is for cases when E.164 numbers are used to identify cellular node
(e.g., HLR, VLR and message center, etc.).

James 

> -----Original Message-----
> From: BARNOLE Valerie FTRD/DAC/ISS
> [mailto:[email-masked]]
> Sent: Wednesday, November 29, 2000 12:09 PM
> To: [email-masked]'; [email-masked]; [email-masked]
> Subject: RE: [Enum] RE: draft-loughney-enum-roaming-00.txt
> 
> 
> John,
> I am sorry, I can't retrieve your 
> draft-loughney-enum-roaming-00.txt. Can
> you send it, please ?
> 
> I suppose that in this draft, you populate the DNS with E.212 or E.214
> numbers. I do not have your draft to see how you deal with the
> confidentiality of the IMSI, but my first idea is that mobile 
> operators
> should be very reluctant to populate the DNS with such 
> confidential data.
> Thank you for sending me your draft.
> 
> Regards,
> 
> Valerie.
> 
> end of message
> _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
> 
> Valérie Barnole
> 
> FTR&D/DAC/ACE
> 
> tel. : + 33 1 45 29 58 39
> fax : + 33 1 46 29 31 42
> 
> mail to : [email-masked]
> 
> 
> 
> -----Message d'origine-----
> De : [email-masked] [mailto:[email-masked]]
> Envoyé : mardi 7 novembre 2000 08:34
> À : [email-masked]; [email-masked]
> Cc : [email-masked]
> Objet : [Enum] RE: draft-loughney-enum-roaming-00.txt
> 
> 
> Hi James & everyone,
> 
> > One reason that GTT is used in SS7 message transport is 
> > because the message routing in many cases involve two 
> > cellular networks in different countries. A SS7 point code 
> > in U.K. cannot be used directly by a SS7 node in France to
> > send a SS7 message to.   IP will change that because IP is 
> > global.  This is just one example of use of ENUM.  Another 
> > example is to identify the message center that serves a 
> > particular cellular subscriber when there is a short
> > message destined towards that subscriber.  In this example, 
> > the E.164 number is assigned to an cellular subscriber; 
> > however, the service that uses ENUM is again a "network-related 
> > service."
> 
> Thanks for summarizing the intention of this draft.  You did 
> a much better job that what I did at Pittsburgh :)
> 
> I also want to mention that this issues will get much more
> complicated in the proposed 3G networks.  There will be 
> operators implementing all of their networks over IP.  In 
> your scenario, there will need to be some negotiation/
> mapping between the SS7 addresses and IP address that will
> be assigned for the VLR/HLR.
> 
> One further complication is that there may be AAA servers 
> providing the same functionality for 3G cellular subscribers.
> 
> I would like to think that ENUM could be a techology that is
> used to promote interoperability/interworking for this 
> purpose.
> 
> > John and I would like to hear from you to see whether they is 
> > any problem to move this I-D forward.  
> 
> thanks,
> John
> 
> 
> _______________________________________________
> enum mailing list
> [email-masked]
> http://www1.ietf.org/mailman/listinfo/enum
> 
> _______________________________________________
> enum mailing list
> [email-masked]
> http://www1.ietf.org/mailman/listinfo/enum
> 

_______________________________________________
enum mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/enum